#!/bin/sh
vercomp(){
   local a b IFS=. -; set -f
   printf -v a %08d $1; printf -v b %08d $3
   test $a "$2" $b
}
if [[ -z $VERSION ]] ; 
then
    VERSION=1.20.2; 
fi;
if vercomp $VERSION \< 1.13.0; then
   docker build -f OldDockerfile -t "minecraft:forge-$VERSION" . --build-arg VERSION=$VERSION
else
   docker build -t "minecraft:forge-$VERSION" . --build-arg VERSION=$VERSION
fi
